package shop.alien.store.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import shop.alien.entity.result.R;
import shop.alien.entity.store.LifeUserLearningRecord;
import shop.alien.entity.store.vo.LifeUserLearningVideoVo;

import java.util.List;

public interface LifeUserLearningRecordService extends IService<LifeUserLearningRecord> {

    /**
     * 新增用户学习记录
     */
    R<String> add(LifeUserLearningRecord lifeUserLearningRecord);

    /**
     * 根据ID删除用户学习记录
     */
    R<String> deleteById(Integer id);

    /**
     * 更新用户学习记录
     */
    R<String> update(LifeUserLearningRecord lifeUserLearningRecord);

    /**
     * 根据ID查询用户学习记录
     */
    R<LifeUserLearningRecord> getInfoById(Integer id);

    /**
     * 根据用户ID查询用户学习记录
     */
    R<LifeUserLearningRecord> getByUserId(Integer userId);

    /**
     * 分页查询用户学习记录列表
     */
    R<IPage<LifeUserLearningRecord>> list(Integer pageNum, Integer pageSize, Integer userId);

    R<List<LifeUserLearningVideoVo>> getListByUserId(Integer userId);
}

